[tool.ruff]
target-version = "py311"
line-length = 79 # Limiter la longueur des lignes à 79 caractères (PEP 8 recommandation)
# max-complexity = 12

exclude = [
  "migrations",
  "__pycache__",
  "venv",
  ".venv",
  "static",
  "media",
  "node_modules",
  "dist",
  "build"
]

[tool.ruff.lint]
select = [
  "B","A","N","E","F","W", "D",
  "DJ","RET","SIM","C901",
  "COM","C4","EM","ISC","T20",
  "Q","ARG","PTH","PERF","PLR"
]

ignore = ["COM812"]

[tool.ruff.lint.per-file-ignores]
"__init__.py" = ["ALL"]
"settings.py" = ["ALL"]
"tests.py" = ["ALL"]
"asgi.py" = ["ALL"]
"wsgi.py" = ["ALL"]
"manage.py" = ["ALL"]